MWAWSubDocument Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
MWAWSubDocument Class Referenceabstract

abstract class used to store a subdocument (with a comparison function) More...

`#include <MWAWSubDocument.hxx>`

Inheritance diagram for MWAWSubDocument:

## Public Member Functions
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| comparison operator!= More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...
virtual void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType subDocumentType)=0
| virtual parse function More...

## Protected Attributes
MWAWParser * | m_parser
| the main zone parser More...
shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Detailed Description

abstract class used to store a subdocument (with a comparison function)

## Constructor & Destructor Documentation

MWAWSubDocument::MWAWSubDocument | ( | MWAWParser * | pars,
|  | MWAWInputStreamPtr | ip,
|  | MWAWEntry const & | z
| ) |  |

constructor from parser, input stream and zone in the input

MWAWSubDocument::MWAWSubDocument | ( | MWAWSubDocument const & | doc | ) |

copy constructor

MWAWSubDocument::~MWAWSubDocument | ( |  | ) |
| virtual

virtual destructor

## Member Function Documentation

bool MWAWSubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| virtual

comparison operator!=

Reimplemented in HanMacWrdJGraphInternal::SubDocument, MsWksGraphInternal::SubDocument, HanMacWrdKGraphInternal::SubDocument, ClarisWksGraphInternal::SubDocument, WriterPlsParserInternal::SubDocument, ClarisWksTextInternal::SubDocument, MindWrtParserInternal::SubDocument, MsWksDBParserInternal::SubDocument, MarinerWrtGraphInternal::SubDocument, MoreTextInternal::SubDocument, GreatWksDBParserInternal::SubDocument, GreatWksGraphInternal::SubDocument, NisusWrtTextInternal::SubDocument, RagTime5ParserInternal::SubDocument, HanMacWrdJTextInternal::SubDocument, MacDrawProParserInternal::SubDocument, RagTimeParserInternal::SubDocument, MacWrtParserInternal::SubDocument, BeagleWksTextInternal::SubDocument, MacWrtProParserInternal::SubDocument, FullWrtParserInternal::SubDocument, BeagleWksSSParserInternal::SubDocument, MsWrd1ParserInternal::SubDocument, MsWrdParserInternal::SubDocument, ActaParserInternal::SubDocument, BeagleWksDBParserInternal::SubDocument, MacDrawParserInternal::SubDocument, MsWks3TextInternal::SubDocument, DocMkrTextInternal::SubDocument, MarinerWrtParserInternal::SubDocument, GreatWksSSParserInternal::SubDocument, BeagleWksDRParserInternal::SubDocument, ZWrtTextInternal::SubDocument, SuperPaintParserInternal::SubDocument, MsWksSSParserInternal::SubDocument, GreatWksParserInternal::SubDocument, ClarisWksDocumentInternal::SubDocument, ClarisWksPresentationInternal::SubDocument, MsWksDocumentInternal::SubDocument, MoreParserInternal::SubDocument, FullWrtGraphInternal::SubDocument, HanMacWrdJParserInternal::SubDocument, NisusWrtGraphInternal::SubDocument, HanMacWrdKParserInternal::SubDocument, WriteNowParserInternal::SubDocument, ClarisWksParserInternal::SubDocument, ClarisWksPRParserInternal::SubDocument, ClarisWksSSParserInternal::SubDocument, LightWayTxtParserInternal::SubDocument, ZWrtParserInternal::SubDocument, MWAWChartInternal::SubDocument, and MWAWPageSpanInternal::SubDocument.

Referenced by operator!=(), BeagleWksDBParserInternal::SubDocument::operator!=(), MsWrd1ParserInternal::SubDocument::operator!=(), BeagleWksSSParserInternal::SubDocument::operator!=(), and operator==().

bool MWAWSubDocument::operator!= | ( | shared_ptr< MWAWSubDocument > const & | doc | ) | const

comparison operator!=

MWAWSubDocument & MWAWSubDocument::operator= | ( | MWAWSubDocument const & | doc | ) |

copy operator

bool MWAWSubDocument::operator== | ( | MWAWSubDocument const & | doc | ) | const
| inline

comparison operator==

bool MWAWSubDocument::operator== | ( | shared_ptr< MWAWSubDocument > const & | doc | ) | const
| inline

comparison operator==

virtual void MWAWSubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | subDocumentType
| ) |  |
| pure virtual

virtual parse function

this function is called to parse the subdocument

Implemented in HanMacWrdJGraphInternal::SubDocument, MsWksGraphInternal::SubDocument, HanMacWrdKGraphInternal::SubDocument, ClarisWksGraphInternal::SubDocument, WriterPlsParserInternal::SubDocument, ClarisWksTextInternal::SubDocument, MindWrtParserInternal::SubDocument, MsWksDBParserInternal::SubDocument, MarinerWrtGraphInternal::SubDocument, MoreTextInternal::SubDocument, GreatWksDBParserInternal::SubDocument, GreatWksGraphInternal::SubDocument, NisusWrtTextInternal::SubDocument, RagTime5ParserInternal::SubDocument, MacDrawProParserInternal::SubDocument, HanMacWrdJTextInternal::SubDocument, RagTimeParserInternal::SubDocument, MacWrtParserInternal::SubDocument, BeagleWksTextInternal::SubDocument, MacWrtProParserInternal::SubDocument, FullWrtParserInternal::SubDocument, BeagleWksSSParserInternal::SubDocument, ActaParserInternal::SubDocument, MsWrd1ParserInternal::SubDocument, MsWrdParserInternal::SubDocument, MacDrawParserInternal::SubDocument, BeagleWksDBParserInternal::SubDocument, MsWks3TextInternal::SubDocument, DocMkrTextInternal::SubDocument, MarinerWrtParserInternal::SubDocument, BeagleWksDRParserInternal::SubDocument, GreatWksSSParserInternal::SubDocument, ZWrtTextInternal::SubDocument, SuperPaintParserInternal::SubDocument, MsWksSSParserInternal::SubDocument, ClarisWksDocumentInternal::SubDocument, ClarisWksPresentationInternal::SubDocument, GreatWksParserInternal::SubDocument, HanMacWrdJParserInternal::SubDocument, MsWksDocumentInternal::SubDocument, MoreParserInternal::SubDocument, FullWrtGraphInternal::SubDocument, HanMacWrdKParserInternal::SubDocument, NisusWrtGraphInternal::SubDocument, ClarisWksParserInternal::SubDocument, ClarisWksPRParserInternal::SubDocument, ClarisWksSSParserInternal::SubDocument, LightWayTxtParserInternal::SubDocument, WriteNowParserInternal::SubDocument, ZWrtParserInternal::SubDocument, MWAWChartInternal::SubDocument, and MWAWPageSpanInternal::SubDocument.

## Member Data Documentation

shared_ptr<MWAWInputStream> MWAWSubDocument::m_input
| protected

the input

Referenced by operator!=(), operator=(), WriteNowParserInternal::SubDocument::parse(), NisusWrtGraphInternal::SubDocument::parse(), HanMacWrdKParserInternal::SubDocument::parse(), MsWksDocumentInternal::SubDocument::parse(), HanMacWrdJParserInternal::SubDocument::parse(), GreatWksParserInternal::SubDocument::parse(), ClarisWksPresentationInternal::SubDocument::parse(), MsWksSSParserInternal::SubDocument::parse(), SuperPaintParserInternal::SubDocument::parse(), ZWrtTextInternal::SubDocument::parse(), GreatWksSSParserInternal::SubDocument::parse(), BeagleWksDRParserInternal::SubDocument::parse(), MarinerWrtParserInternal::SubDocument::parse(), DocMkrTextInternal::SubDocument::parse(), MsWks3TextInternal::SubDocument::parse(), BeagleWksDBParserInternal::SubDocument::parse(), MacDrawParserInternal::SubDocument::parse(), MsWrdParserInternal::SubDocument::parse(), MsWrd1ParserInternal::SubDocument::parse(), BeagleWksSSParserInternal::SubDocument::parse(), FullWrtParserInternal::SubDocument::parse(), MacWrtProParserInternal::SubDocument::parse(), BeagleWksTextInternal::SubDocument::parse(), MacWrtParserInternal::SubDocument::parse(), RagTimeParserInternal::SubDocument::parse(), HanMacWrdJTextInternal::SubDocument::parse(), MacDrawProParserInternal::SubDocument::parse(), RagTime5ParserInternal::SubDocument::parse(), NisusWrtTextInternal::SubDocument::parse(), GreatWksGraphInternal::SubDocument::parse(), GreatWksDBParserInternal::SubDocument::parse(), MoreTextInternal::SubDocument::parse(), MarinerWrtGraphInternal::SubDocument::parse(), MsWksDBParserInternal::SubDocument::parse(), MindWrtParserInternal::SubDocument::parse(), WriterPlsParserInternal::SubDocument::parse(), ClarisWksGraphInternal::SubDocument::parse(), HanMacWrdKGraphInternal::SubDocument::parse(), MsWksGraphInternal::SubDocument::parse(), and HanMacWrdJGraphInternal::SubDocument::parse().

MWAWParser* MWAWSubDocument::m_parser
| protected

the main zone parser

Referenced by operator!=(), operator=(), WriteNowParserInternal::SubDocument::parse(), ZWrtParserInternal::SubDocument::parse(), LightWayTxtParserInternal::SubDocument::parse(), ClarisWksParserInternal::SubDocument::parse(), ClarisWksPRParserInternal::SubDocument::parse(), ClarisWksSSParserInternal::SubDocument::parse(), HanMacWrdKParserInternal::SubDocument::parse(), MoreParserInternal::SubDocument::parse(), MsWksDocumentInternal::SubDocument::parse(), HanMacWrdJParserInternal::SubDocument::parse(), GreatWksParserInternal::SubDocument::parse(), MsWksSSParserInternal::SubDocument::parse(), SuperPaintParserInternal::SubDocument::parse(), GreatWksSSParserInternal::SubDocument::parse(), BeagleWksDRParserInternal::SubDocument::parse(), MarinerWrtParserInternal::SubDocument::parse(), BeagleWksDBParserInternal::SubDocument::parse(), MacDrawParserInternal::SubDocument::parse(), MsWrdParserInternal::SubDocument::parse(), MsWrd1ParserInternal::SubDocument::parse(), ActaParserInternal::SubDocument::parse(), BeagleWksSSParserInternal::SubDocument::parse(), FullWrtParserInternal::SubDocument::parse(), MacWrtProParserInternal::SubDocument::parse(), MacWrtParserInternal::SubDocument::parse(), RagTimeParserInternal::SubDocument::parse(), MacDrawProParserInternal::SubDocument::parse(), RagTime5ParserInternal::SubDocument::parse(), GreatWksDBParserInternal::SubDocument::parse(), MsWksDBParserInternal::SubDocument::parse(), MindWrtParserInternal::SubDocument::parse(), and WriterPlsParserInternal::SubDocument::parse().

MWAWEntry MWAWSubDocument::m_zone
| protected

if valid the zone to parse

Referenced by operator!=(), operator=(), BeagleWksDBParserInternal::SubDocument::parse(), MsWrdParserInternal::SubDocument::parse(), MsWrd1ParserInternal::SubDocument::parse(), BeagleWksSSParserInternal::SubDocument::parse(), GreatWksGraphInternal::SubDocument::parse(), and MsWksGraphInternal::SubDocument::parse().

The documentation for this class was generated from the following files:

- MWAWSubDocument.hxx
- MWAWSubDocument.cxx